DCMTK: dcmsr/include/dcmtk/dcmsr/dsrcodvl.h File Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Functions
dsrcodvl.h File Reference

definitions for classes DSRBasicCodedEntry and DSRCodedEntryValue More...

## Classes
class | DSRBasicCodedEntry
| Class for storing the "Basic Coded Entry Attributes". More...
class | DSRCodedEntryValue
| Class for handling coded entry values, i.e. unambiguous machine-readable codes. More...

## Functions
DCMTK_DCMSR_EXPORT STD_NAMESPACE ostream & | operator<< (STD_NAMESPACE ostream &stream, const DSRCodedEntryValue &codedEntryValue)
| output stream operator for coded entry values.
DCMTK_DCMSR_EXPORT OFBool | operator== (const DSRCodedEntryValue &lhs, const DSRCodedEntryValue &rhs)
| equality operator.
DCMTK_DCMSR_EXPORT OFBool | operator!= (const DSRCodedEntryValue &lhs, const DSRCodedEntryValue &rhs)
| inequality operator.
DCMTK_DCMSR_EXPORT OFBool | operator== (const DSRCodedEntryValue &lhs, const DSRBasicCodedEntry &rhs)
| equality operator.
DCMTK_DCMSR_EXPORT OFBool | operator!= (const DSRCodedEntryValue &lhs, const DSRBasicCodedEntry &rhs)
| inequality operator.

## Detailed Description

definitions for classes DSRBasicCodedEntry and DSRCodedEntryValue

## Function Documentation

## ◆ operator!=() [1/2]

DCMTK_DCMSR_EXPORT OFBool operator!= | ( | const DSRCodedEntryValue & | lhs,
|  | const DSRBasicCodedEntry & | rhs )

inequality operator.

Internally, the DSRCodedEntryValue::isNotEqual() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' and 'rhs' are not equal, OFFalse otherwise

## ◆ operator!=() [2/2]

DCMTK_DCMSR_EXPORT OFBool operator!= | ( | const DSRCodedEntryValue & | lhs,
|  | const DSRCodedEntryValue & | rhs )

inequality operator.

Internally, the DSRCodedEntryValue::isNotEqual() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' and 'rhs' are not equal, OFFalse otherwise

## ◆ operator<<()

DCMTK_DCMSR_EXPORT STD_NAMESPACE ostream & operator<< | ( | STD_NAMESPACE ostream & | stream,
|  | const DSRCodedEntryValue & | codedEntryValue )

output stream operator for coded entry values.

Internally, the DSRCodedEntryValue::print() method is used, i.e. the output looks like this: (1234,99_OFFIS_DCMTK,"Code Meaning") or (cm,UCUM[1.4],"centimeter")

Parameters

  stream | output stream to which the coded entry value is printed
  codedEntryValue | coded entry value to be printed

Returns
  reference to output stream

## ◆ operator==() [1/2]

DCMTK_DCMSR_EXPORT OFBool operator== | ( | const DSRCodedEntryValue & | lhs,
|  | const DSRBasicCodedEntry & | rhs )

equality operator.

Internally, the DSRCodedEntryValue::isEqual() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' and 'rhs' are equal, OFFalse otherwise

## ◆ operator==() [2/2]

DCMTK_DCMSR_EXPORT OFBool operator== | ( | const DSRCodedEntryValue & | lhs,
|  | const DSRCodedEntryValue & | rhs )

equality operator.

Internally, the DSRCodedEntryValue::isEqual() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' and 'rhs' are equal, OFFalse otherwise

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2